Subject: Re: [AAA-WG]: Why does AAAF generate keys when HA is in a foreign domain?

From: Pat Calhoun <[email-masked]>
Date: Sat, 3 Nov 2001 08:51:01 -0800

> > Why should the AAAH be aware of keys between nodes in another network? Just
> > so that it can hack them? I know for a fact that the security ADs would have
> > serious security concerns about someone not involved in the transactions,
> > and in another domain, be involved in key generation when it shouldn't.
> 
> Technically speaking, in this case the AAAH knows the other two keys 
> (ha/mn, fa/mn), even though the parties using these keys are in 
> the other domain.  
> 
> And the AAAH always knows the mn-fa key, even though mn-fa transactions
> are always in the other domain, no matter where the HA lives.
> 
> Not suggesting this is wrong or could be avoided, just an observation.

right because the mn is owned by the AAAH's domain.

PatC